<!-- Based on fast/repaint/overflow-hide.html -->
<html>
<head>
    <link rel="stylesheet" href="../../../fast/repaint/resources/default.css">
    <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
    <script type="text/javascript">
        window.expectedPaintInvalidationObjects = [
            "LayoutBlockFlow (positioned) DIV id='overflowParent' class='absolute green'",
            "LayoutBlockFlow (relative positioned) DIV class='relative red'",
        ];
        function paintInvalidationTest()
        {
            document.getElementById('overflowParent').style.overflow = "hidden";
        }
    </script>
</head>
<body style="height:2000px;" onload="runPaintInvalidationTest()">
    <!-- You should see one green rectangle sharing one corner in the output. -->
    <div id="overflowParent" class="absolute green"><div style="top:100px; left:100px;" class="relative red"></div></div>
</body>
</html>
